This file is part of MXE. See LICENSE.md for licensing information.

diff -ur libf2c.orig/makefile.u libf2c/makefile.u
--- libf2c.orig/makefile.u	2012-05-04 01:39:36.000000000 +1000
+++ libf2c/makefile.u	2012-05-04 01:45:30.000000000 +1000
@@ -20,7 +20,7 @@
 # compile, then strip unnecessary symbols
 .c.o:
 	$(CC) -c -DSkip_f2c_Undefs $(CFLAGS) $*.c
-	ld -r -x -o $*.xxx $*.o
+	$(LD) -r -x -o $*.xxx $*.o
 	mv $*.xxx $*.o
 ## Under Solaris (and other systems that do not understand ld -x),
 ## omit -x in the ld line above.
@@ -72,8 +72,8 @@
 all: f2c.h signal1.h sysdep1.h libf2c.a

 libf2c.a: $(OFILES)
-	ar r libf2c.a $?
-	-ranlib libf2c.a
+	$(AR) r libf2c.a $?
+	-$(RANLIB) libf2c.a

 ## Shared-library variant: the following rule works on Linux
 ## systems.  Details are system-dependent.  Under Linux, -fPIC
@@ -123,7 +123,7 @@

 install: libf2c.a
 	cp libf2c.a $(LIBDIR)
-	-ranlib $(LIBDIR)/libf2c.a
+	-$(RANLIB) $(LIBDIR)/libf2c.a

 clean:
 	rm -f libf2c.a *.o arith.h signal1.h sysdep1.h
@@ -182,12 +182,6 @@
 xwsne.o:	lio.h
 xwsne.o:	fmt.h

-arith.h: arithchk.c
-	$(CC) $(CFLAGS) -DNO_FPINIT arithchk.c -lm ||\
-	 $(CC) -DNO_LONG_LONG $(CFLAGS) -DNO_FPINIT arithchk.c -lm
-	./a.out >arith.h
-	rm -f a.out arithchk.o
-
 check:
 	xsum Notice README abort_.c arithchk.c backspac.c c_abs.c c_cos.c \
 	c_div.c c_exp.c c_log.c c_sin.c c_sqrt.c cabs.c close.c comptry.bat \

diff -urN tmp-libf2c.orig/arith.h tmp-libf2c/arith.h
--- tmp-libf2c.orig/arith.h	1970-01-01 10:00:00.000000000 +1000
+++ tmp-libf2c/arith.h	2012-05-04 01:16:16.000000000 +1000
@@ -0,0 +1,5 @@
+#define IEEE_8087
+#define Arith_Kind_ASL 1
+#define Double_Align
+#define QNaN0 0x0
+#define QNaN1 0xfff80000
+
